> ## Documentation Index
> Fetch the complete documentation index at: https://productlane.mintlify.site/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Update an internal comment

> Edit an internal comment. Requires the comments:write scope.



## OpenAPI

````yaml patch /threads/{thread_id}/comments/{comment_id}
openapi: 3.0.3
info:
  title: Productlane API
  description: Productlane API v2.
  version: 2.0.0
servers:
  - url: https://productlane.com/api/v2
security: []
paths:
  /threads/{thread_id}/comments/{comment_id}:
    patch:
      tags:
        - threads
      summary: Update an internal comment
      description: Edit an internal comment. Requires the comments:write scope.
      operationId: threads-updateComment
      parameters:
        - name: thread_id
          in: path
          required: true
          schema:
            type: string
        - name: comment_id
          in: path
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                content:
                  type: string
                  minLength: 1
                attachments:
                  type: array
                  items:
                    type: object
                    properties:
                      Content:
                        type: string
                      ContentLength:
                        anyOf:
                          - type: string
                          - type: number
                        nullable: true
                      Name:
                        type: string
                      ContentType:
                        type: string
                      ContentID:
                        type: string
                    required:
                      - Name
                      - ContentType
                    additionalProperties: false
              additionalProperties: false
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  created_at:
                    type: string
                  updated_at:
                    type: string
                  content:
                    type: string
                  attachments:
                    type: array
                  thread_id:
                    type: string
                  user_id:
                    type: string
                    nullable: true
                required:
                  - id
                  - created_at
                  - updated_at
                  - content
                  - attachments
                  - thread_id
                  - user_id
                additionalProperties: false
        default:
          $ref: '#/components/responses/error'
      security:
        - Authorization: []
components:
  responses:
    error:
      description: Error response
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
              code:
                type: string
              issues:
                type: array
                items:
                  type: object
                  properties:
                    message:
                      type: string
                  required:
                    - message
                  additionalProperties: false
            required:
              - message
              - code
            additionalProperties: false
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer

````